
%define deb_file %{name}_%{version}_amd64.deb

Summary: Opera Stable
Name: opera-stable
Version: 44.0.2510.857
Release: %mkrel 1
License: Proprietary
Group: Networking/WWW
URL: http://get.geo.opera.com/pub/opera-developer/
Vendor: Opera Software ASA
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
Conflicts: opera
AutoReqProv: no

%description
Opera Stable

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot

mkdir %buildroot

cd $RPM_SOURCE_DIR
wget -nc https://deb.opera.com/opera/pool/non-free/o/opera-stable/%{deb_file}

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_file} data.tar.xz | xz -d -9 | tar x -C %buildroot

# rename libdir
%ifarch %{ix86}
mv %buildroot/usr/lib/i386-linux-gnu/opera %buildroot/usr/lib/
rm -rf %buildroot/usr/lib/i386-linux-gnu
%else
mv %buildroot/usr/lib/x86_64-linux-gnu/opera %buildroot/usr/lib/
rm -rf %buildroot/usr/lib/x86_64-linux-gnu
mv %buildroot/usr/lib %buildroot%{_libdir}
%endif

# create new symlink
rm -f %buildroot%{_bindir}/opera
pushd %buildroot%{_bindir}
ln -s %{_libdir}/opera/opera opera
popd

# delete some directories that is not needed on Fedora
rm -rf %buildroot%{_datadir}/{lintian,menu}

# correct opera_sandbox permission
# FATAL:setuid_sandbox_client.cc(283)] The SUID sandbox helper binary was found
# but is not configured correctly.
chmod 4755 %buildroot%{_libdir}/opera/opera_sandbox

# create symlink to libudev.so
pushd %buildroot%{_libdir}/opera
ln -s /lib64/libudev.so.0 libudev.so.0
popd


%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%{_bindir}/opera
%{_libdir}/opera
%{_datadir}


%changelog
* Sun Apr  2 2017 R.M. Stockmann <stock@stokkie.net> - 44.0.2510.857-1mdv2011
- new release

* Wed Mar 22 2017 bb2 <bb2> - 44.0.2510.857-1pclos2017
- new version

* Wed Mar 01 2017 bb2 <bb2> - 43.0.2442.1144-1pclos2017
- new version

* Wed Feb 22 2017 tex - 43.0.2442.991-1pclos2017
- new version

* Tue Feb 07 2017 bb <bb> - 43.0.2442.806-1pclos2017
- new version

* Fri Jan 27 2017 bb <bb> - 42.0.2393.517-1pclos2017
- new version

* Thu Dec 22 2016 bb <bb> - 42.0.2393.94-1pclos2017
- new version



